%define upstream_name    Ubic
%define upstream_version 1.59

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dummy credentials module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(Getopt::Long) >= 2.330.0
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a perl frontend to ubic services.

It is a singleton OOP class. All of its methods should be invoked as class
methods:

    Ubic->start('foo');
    Ubic->stop('foo');
    my $status = Ubic->status('foo');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
rm -f t/watchdog.t
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/ubic
%{_bindir}/ubic-admin
%{_bindir}/ubic-daemon
%{_bindir}/ubic-periodic
%{_bindir}/ubic-update
%{_bindir}/ubic-watchdog
%{_mandir}/man1/ubic-admin.1.xz
%{_mandir}/man1/ubic-daemon.1.xz
%{_mandir}/man1/ubic-periodic.1.xz
%{_mandir}/man1/ubic-update.1.xz
%{_mandir}/man1/ubic-watchdog.1.xz
%{_mandir}/man1/ubic.1.xz

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.590.0-2.mga6
+ Revision: 1035431
- Rebuild for perl 5.22.2

* Fri Apr 08 2016 shlomif <shlomif> 1.590.0-1.mga6
+ Revision: 999543
- update to 1.59

* Thu Feb 18 2016 umeabot <umeabot> 1.580.0-2.mga6
+ Revision: 965790
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.580.0-1.mga6
+ Revision: 837169
- update to 1.58

* Wed Oct 15 2014 umeabot <umeabot> 1.570.0-3.mga5
+ Revision: 742219
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.570.0-2.mga5
+ Revision: 686780
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 1.570.0-1.mga5
+ Revision: 581387
- update to 1.57

* Mon Oct 21 2013 umeabot <umeabot> 1.560.0-2.mga4
+ Revision: 541131
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 1.560.0-1.mga4
+ Revision: 495149
- update to 1.56

* Fri Jun 07 2013 jquelin <jquelin> 1.540.0-1.mga4
+ Revision: 440078
- update to 1.54

* Sun Jan 13 2013 umeabot <umeabot> 1.460.0-2.mga3
+ Revision: 374606
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.460.0-1.mga3
+ Revision: 317768
- update to 1.46

* Wed Nov 07 2012 jquelin <jquelin> 1.450.0-1.mga3
+ Revision: 315938
- update to 1.45

* Wed Jul 04 2012 jquelin <jquelin> 1.440.0-1.mga3
+ Revision: 267555
- update to 1.44

* Mon Jun 11 2012 kharec <kharec> 1.410.0-1.mga3
+ Revision: 259663
- imported package perl-Ubic

